## Apache Zeta Components Manual :: Docs For Class ezcBaseExportable

### Base::ezcBaseExportable

### Interface ezcBaseExportable

Interface for class of which instances can be exported using var_export().

In some components, objects can be stored (e.g. to disc) using the var_export() function. To ensure that an object supports proper importing again, this interface should be implemented.

Source for this file: /Base/src/interfaces/exportable.php

### Method Summary

public static object | `__set_state( $state )` Returns an instance of the desired object, initialized from $state.

### Methods

#### __set_state

static object __set_state( $state )

Returns an instance of the desired object, initialized from $state.

This method must return a new instance of the class it is implemented in, which has its properties set from the given $state array.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$state` | array |

Documentation generated by phpDocumentor 1.4.3